<?php

use GFOTP\Helper\MoConstants;
use GFOTP\Helper\MoMessages;
use GFOTP\Objects\Tabs;
use GFOTP\Helper\MoUtility;

$request_uri    = remove_query_arg(['addon','form','subpage'],$_SERVER['REQUEST_URI']);
$profile_url	= add_query_arg( array('page' => $tabDetails->_tabDetails[Tabs::ACCOUNT]->_menuSlug), $request_uri );
$help_url       = MoConstants::FAQ_URL;
$registerMsg    = MoMessages::showMessage(MoMessages::REGISTER_WITH_US,[ "url"=> $profile_url ]);
$activationMsg  = MoMessages::showMessage(MoMessages::ACTIVATE_PLUGIN,[ "url"=> $profile_url ]);
$gatewayMsg     = MoMessages::showMessage(MoMessages::CONFIG_GATEWAY,[ "url"=> $gateway_url ]);
$active_tab 	= sanitize_text_field($_GET['page']);
$nonce          = $adminHandler->getNonceValue();
$isLoggedIn 	= MoUtility::micr();
$isFreePlugin	= strcmp(MOV_TYPE, "MiniOrangeGateway")===0;


include MOV_GF_DIR . 'views/navbargf.php';